#ifndef RODENT_POPULATION_H
#define RODENT_POPULATION_H
void
  rodent_add_icon_roots (view_t * view_p);

void
  rodent_set_icon_name (GtkWidget * widget, const gchar * path);

void
  rodent_update_cut_icons (view_t * view_p);

gint 
  rodent_get_population_serial (view_t * view_p);

void
  rodent_layout (view_t * view_p, population_t * population_p, const gchar * label);

gboolean 
  rodent_destroy_view (view_t * view_p);

gboolean 
  rodent_destroy_view_item (view_t * view_p);

void
  rodent_add_view (view_t * view_p);

void
  rodent_remove_view (view_t * view_p);

gint 
  rodent_monitor (gpointer data);

gboolean 
  rodent_reload_view (gpointer data);

int
  rodent_full_reload_view (gpointer data, record_entry_t * target_en);

void
  rodent_expose_all (view_t * view_p);

population_t **
  rodent_mk_grid_elements (view_t * view_p, int grid_elements);

void
  rodent_expose_item (view_t * view_p, population_t * population_p);

population_t *
  rodent_find_in_labels (view_t * view_p, gdouble x, gdouble y);

record_entry_t *
  rodent_init_view (view_t * view_p, record_entry_t * en);


population_t *
  rodent_find_in_population (view_t * view_p, gdouble x, gdouble y);

population_t *
  rodent_create_population_t (view_t * view_p, record_entry_t * en, 
	  int element, const gchar * icon_id, const gchar * label);

void
  rodent_destroy_population (view_t * view_p);

#endif
